import 'package:ka_dart_prompter/src/option.dart';
import 'package:ka_dart_prompter/src/terminal.dart';

class Prompter {
  bool askBinary(String prompt) {
    _terminal.printPrompt(prompt + ' (y/n)');

    final input = _terminal.collectInput();
    return input.contains('y');
  }

  askMultiple(String prompt, List<Option> options) {
    _terminal.printPrompt(prompt);
    _terminal.printOptions(options);

    final input = _terminal.collectInput();
    try {
      return options[int.parse(input)].value;
    } catch (error) {
      return askMultiple(prompt, options);
    }
  }
}

final _terminal = const Terminal();
